# $Revision: 1.137 $, $Date: 2008-02-06 17:24:15 $
Summary:	High-performance CORBA Object Request Broker
Summary(es.UTF-8):	Object Request Broker CORBA de alto desempeño
Summary(fr.UTF-8):	Requète d'Objects CORBA
Summary(ko.UTF-8):	고성능 CORBA 객체 요청 브로커
Summary(pl.UTF-8):	Wysoko wydajny CORBA Object Request Broker
Summary(pt_BR.UTF-8):	Corretor de requisições de objetos CORBA de alta performance
Summary(ru.UTF-8):	Высокопроизводительный брокер объектных запросов CORBA
Summary(uk.UTF-8):	Високопродуктивний брокер об'єктних запитів CORBA
Name:		ORBit
Version:	0.5.17
Release:	7
Epoch:		1
License:	LGPL v2+ (library), GPL v2+ (tools)
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/ORBit/0.5/%{name}-%{version}.tar.gz
# Source0-md5:	d7dd317de737091703ccaaf4b74f06da
Source1:	%{name}-orbitrc
Patch0:		%{name}-info.patch
Patch1:		%{name}-use_system_popt.patch
Patch2:		%{name}-tiny-ipv6.patch
Patch3:		%{name}-no_test_everything.patch
Patch4:		%{name}-do_not_link_statically.patch
Patch5:		%{name}-ac_comment_fixes.patch
Patch6:		%{name}-ac254.patch
Patch7:		%{name}-am18.patch
Patch8:		%{name}-link.patch
URL:		http://www.redhat.com/support/wpapers/ORBit/
BuildRequires:	autoconf >= 2.12
BuildRequires:	automake >= 1.3
BuildRequires:	flex
BuildRequires:	glib-devel >= 1.2.1
BuildRequires:	indent
BuildRequires:	libtool
BuildRequires:	libwrap-devel
BuildRequires:	popt-devel >= 1.4
BuildRequires:	texinfo
Obsoletes:	libORBit0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ORBit is a high-performance CORBA (Common Object Request Broker
Architecture) ORB (object request broker). It allows programs to send
requests and receive replies from other programs, regardless of the
locations of the two programs. CORBA is an architecture that enables
communication between program objects, regardless of the programming
language they're written in or the operating system they run on.

%description -l fr.UTF-8
ORBit est un ORB CORBA avec support pour le language C. Il permet a
des programmes d'envoyer des requètes et recevoir de réponses d'autres
programmes, indépendement de l'endroit ou sont les deux programmes.

%description -l pl.UTF-8
ORBit to wysokiej wydajności CORBA (Common Object Request Broker
Architecture) ORB (object request broker). Pozwala na wysyłanie próśb
i otrzymywanie odpowiedzi od innych programów bez znajomości położenia
tych dwóch programów.

%description -l pt_BR.UTF-8
O ORBit é um ORB (Corretor de Requisições de Objetos) CORBA de alta
performance. Permite a programas enviar e receber respostas de outros
programas, não importa a localização destes dois programas.

Você precisará instalar este pacote e os arquivos de inclusão
relacionados se deseja desenvolver programas que usem tecnologia
CORBA.

%description -l ru.UTF-8
ORBit - это высокопроизводительный CORBA (Common Object Request Broker
Architecture) ORB (object request broker). Он позволяет программам
посылать запросы и получать ответы от других программ, независимо от
их месторасположения. CORBA - это архитектура, позволяющая
коммуникацию между программными объектами, независимо от языка
программирования, на котором они написаны, или операционной системы, в
среде которой работают.

%description -l uk.UTF-8
ORBit - це високопродуктивний CORBA (Common Object Request Broker
Architecture) ORB (object request broker). Він дозволяє програмам
посилати запити і отримувати відповіді від інших програм, незалежно
від місцезнаходження цих програм. CORBA - це архітектура, що дозволяє
комунікацію між програмними об'єктами, незалежно від мови
програмування, на якій вони написані, чи операційної системи, на якій
працюють.

%package devel
Summary:	Header files, and utilities for ORBit
Summary(es.UTF-8):	Archivos de inclusión y utilidades para ORBit
Summary(fr.UTF-8):	Librairies statiques et fichiers entête pour ORBit
Summary(ko.UTF-8):	ORBit을 위한 개발 라이브러리와 헤더파일, 유틸리티
Summary(pl.UTF-8):	Pliki nagłówkowe i użytki dla ORBit
Summary(pt_BR.UTF-8):	Bibliotecas, arquivos de inclusão e utilitários para desenvolvimento com o ORBit
Summary(ru.UTF-8):	Хедеры и утилиты для ORBit
Summary(uk.UTF-8):	Хедери та утиліти для ORBit
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	glib-devel >= 1.2.0
Requires:	indent
Requires:	libwrap-devel
# just libpopt for orbit-idl utility; popt-devel not needed
Requires:	popt >= 1.4
Obsoletes:	libORBit0-devel

%description devel
ORBit is a high-performance CORBA ORB with support for the C
language. It allows programs to send requests and receive replies from
other programs, regardless of the locations of the two programs.

%description devel -l fr.UTF-8
Librairies statiques et fichiers entête requis pour le development ou
la compilation de programmes utilisant ORBit.

%description devel -l pl.UTF-8
Pakiet ten zawiera pliki nagłówkowe oraz użytki potrzebne do pisania
programów używających technologi CORBA.

%description devel -l pt_BR.UTF-8
Este pacote contém arquivos de inclusão, bibliotecas e utilitários
necessários ao desenvolvimento de programas que usem a tecnologia
CORBA.

%description devel -l ru.UTF-8
Этот пакет содержит хедеры и утилиты для написания программ,
использующих технологию CORBA.

%description devel -l uk.UTF-8
Цей пакет містить хедери та утиліти для написання програм, які
використовують технологію CORBA.

%package static
Summary:	Static libraries for ORBit
Summary(pl.UTF-8):	Biblioteki statyczne dla ORBit
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com o ORBit
Summary(ru.UTF-8):	Статические библиотеки разработки для ORBit
Summary(uk.UTF-8):	Статичні бібліотеки розробки для ORBit
License:	LGPL v2+
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
This package includes static libraries neecessary to write programs
statically linked that use CORBA technology.

%description static -l pl.UTF-8
Ten pakiet zawiera biblioteki statyczne potrzebne do pisania programów
skonsolidowanych statycznie używających technologii CORBA.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com o ORBit.

%description static -l ru.UTF-8
Этот пакет содержит статические библиотеки для написания программ,
использующих технологию CORBA.

%description static -l uk.UTF-8
Цей пакет містить статичні бібліотеки для написання програм, які
використовують технологію CORBA.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
cd libIDL
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
cd ..
CFLAGS="-DHAVE_IPV6=1 %{rpmcflags}"
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir} \
	pkgconfigdir=%{_pkgconfigdir}

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/orbitrc

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ior-decode
%attr(755,root,root) %{_bindir}/name-client
%attr(755,root,root) %{_bindir}/old-name-server
%attr(755,root,root) %{_bindir}/orbit-event-server
%attr(755,root,root) %{_bindir}/orbit-ird
%attr(755,root,root) %{_bindir}/orbit-name-server
%attr(755,root,root) %{_libdir}/libIDL-0.6.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libIDL-0.6.so.0
%attr(755,root,root) %{_libdir}/libIIOP.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libIIOP.so.0
%attr(755,root,root) %{_libdir}/libORBit.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libORBit.so.0
%attr(755,root,root) %{_libdir}/libORBitCosNaming.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libORBitCosNaming.so.0
%attr(755,root,root) %{_libdir}/libORBitutil.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libORBitutil.so.0
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/orbitrc
%{_datadir}/idl/orbit-1.0

%files devel
%defattr(644,root,root,755)
%doc TODO NEWS docs/*.txt
%attr(755,root,root) %{_bindir}/orbit-idl
%attr(755,root,root) %{_bindir}/orbit-config
%attr(755,root,root) %{_bindir}/libIDL-config
%attr(755,root,root) %{_libdir}/libIDL.so
%attr(755,root,root) %{_libdir}/libIIOP.so
%attr(755,root,root) %{_libdir}/libORBit.so
%attr(755,root,root) %{_libdir}/libORBitCosNaming.so
%attr(755,root,root) %{_libdir}/libORBitutil.so
%{_libdir}/libIDL.la
%{_libdir}/libIIOP.la
%{_libdir}/libORBit.la
%{_libdir}/libORBitCosNaming.la
%{_libdir}/libORBitutil.la
%{_libdir}/libname-server.a
%{_libdir}/liborbit-c-backend.a
%attr(755,root,root) %{_libdir}/libIDLConf.sh
%{_includedir}/libIDL-1.0
%{_includedir}/orbit-1.0
%{_pkgconfigdir}/ORBit.pc
%{_pkgconfigdir}/libIDL.pc
%{_aclocaldir}/ORBit.m4
%{_aclocaldir}/libIDL.m4
%{_infodir}/libIDL.info*

%files static
%defattr(644,root,root,755)
%{_libdir}/libIDL.a
%{_libdir}/libIIOP.a
%{_libdir}/libORBit.a
%{_libdir}/libORBitCosNaming.a
%{_libdir}/libORBitutil.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ORBit.spec,v $
Revision 1.137  2008-02-06 17:24:15  qboosh
- more verbose files, ghost soname symlinks
- moved static-only liborbit-c-backend.a to -devel
- added verify() flags for config file

Revision 1.136  2008-01-24 01:36:30  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.135  2007-08-26 17:54:42  qboosh
- unified gnome source URL
- clarified License

Revision 1.134  2007/02/12 21:23:44  glen
- tabs in preamble

Revision 1.133  2007/02/12 00:48:33  baggins
- converted to UTF-8

Revision 1.132  2007/01/16 21:40:29  glen
- fix duplicate %descriptions

Revision 1.131  2006/08/27 08:51:05  qboosh
- well, let URL point to some whitepapers by RH

Revision 1.130  2006/08/27 08:49:08  qboosh
- removed dead URL

Revision 1.129  2006/08/27 08:47:28  qboosh
- updated ac254 patch (ready for ac 2.60 now)
- added link patch (ready for --as-needed now)
- release 7

Revision 1.128  2006/01/23 15:08:55  qboosh
- current policy is not to R: pkgconfig just because package has pkgconfig support

Revision 1.127  2005/12/30 13:43:42  glen
- R: pkgconfig for -devel

Revision 1.126  2005/06/01 20:29:46  qboosh
- strict internal deps

Revision 1.125  2005/06/01 20:29:03  qboosh
- -devel doesn't require popt-devel; release 6

Revision 1.124  2005/05/03 23:42:13  pluto
- release 5 for Th.

Revision 1.123  2004/12/20 18:58:09  qboosh
- BR: texinfo

Revision 1.122  2004/12/17 17:56:25  sparky
- Spanish summary/description fixes

Revision 1.121  2004/09/25 11:20:50  radek
- cosmetics (spaces -> tabs)

Revision 1.120  2003/12/19 10:33:34  qboosh
- added am18 patch (libIDL.m4 and ORBit.m4 quotation fixes); release 4

Revision 1.119  2003/10/25 13:25:40  ankry
- pl: linkowanie -> konsolidacja, shell -> powłoka

Revision 1.118  2003/09/02 15:14:13  qboosh
- removed default _sysconfdir definition, other cosmetics

Revision 1.117  2003/06/23 21:03:37  jareq
- fixed epoch:version issue

Revision 1.116  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.115  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.114  2002/12/02 11:06:13  ankry
- massive cleaning

Revision 1.113  2002/11/25 14:12:19  ankry
- massive attack: no need for 755 for *.la

Revision 1.112  2002/10/17 06:50:57  trojan
- added patch to ac254
- fixed %%filed
- fixed source URL
- release 3

Revision 1.111  2002/10/09 13:14:14  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.110  2002/09/29 09:27:12  kloczek
- merge translations from MIZI.

Revision 1.109  2002/08/18 12:12:17  blues
- release 2 - new doc, license fix; STBR

Revision 1.108  2002/06/23 20:32:19  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.107  2002/06/23 05:17:19  kloczek
- updated to 0.5.17 (bug fix release).

Revision 1.106  2002/05/27 18:50:59  kloczek
- updated to 0.5.16,
- merge translations from Conectiva.

Revision 1.105  2002/05/21 23:12:37  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.104  2002/03/24 23:28:12  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.103  2002/03/23 03:18:51  kloczek
- updated to 0.5.15 (bugfix version).

Revision 1.102  2002/02/22 23:28:37  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.101  2002/02/02 20:32:34  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.100  2002/02/01 14:54:06  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.99  2002/01/18 02:12:12  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.98  2002/01/07 16:44:00  kloczek
- updated to 0.5.13 (bugfix release and prepare for coexistanse with ORBit2).

Revision 1.97  2001/11/05 11:44:04  kura
- updated to 0.5.12

Revision 1.96  2001/10/23 23:48:58  kloczek
- updated to 0.5.11,
- added ac_comment_fixes patch (use "dnl" as comment makk in configure.in
  instead "#"; without this patch generated configure script fails).

Revision 1.95  2001/10/03 22:38:42  kloczek
- updated to 0.5.10,
- removed outdated am15 and do_not_override_CFLAGS patches.

Revision 1.94  2001/09/08 21:44:51  kloczek
- release 7,
- added am15 patch: now automake resources in ORBit can be regenerated
  using automake 1.5 (remove all duplicated declaration variables),
- do not link statically any binaries (do_not_link_statically patch): remove
  all "{,LD}FALGS= -static" from Makefile.am files,
- added do_not_override_CFLAGS patch: remove "CFLAGS=-g -O0" from
  src/orb/Makefile.am.

Revision 1.93  2001/09/08 20:08:41  agaran
added buildrequires glib-static (else compilation fails..at least here)

Revision 1.92  2001/08/20 23:13:55  kloczek
- release 6: added libwrap-devel to devel Requires rules.

Revision 1.91  2001/08/10 12:05:35  kloczek
- release 5: added glib-devel to Requires list in devel.

Revision 1.90  2001/07/26 05:42:02  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.88  2001/07/23 05:44:47  kloczek
- regenerate ac/am/lt files also in libIDL subdirectory.

Revision 1.87  2001/07/22 00:38:07  kloczek
- release 3: added popt-devel to Requires list in devel subpackage.

Revision 1.86  2001/05/16 05:10:11  kloczek
- make libtool hapy.

Revision 1.85  2001/05/16 03:56:32  kloczek
- updated to 0.5.8.

Revision 1.84  2001/04/24 05:11:24  kloczek
- release 2.

Revision 1.83  2001/04/13 00:20:15  qboosh
- use %%_pkgconfigdir and %%rpmcflags macros

Revision 1.82  2001/03/23 02:25:54  kloczek
- only bump release to 4.

Revision 1.81  2001/02/07 17:13:18  kloczek
- updated to 0.5.7,
- added no_test_everything patch for disable compile broken files in
  test/everything.

Revision 1.80  2001/01/25 20:03:19  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.79  2000/12/30 13:05:26  kloczek
- bump release to 2 (for allow upgrade from rawhide).

Revision 1.78  2000/12/23 00:48:42  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.77  2000/12/18 23:56:45  kloczek
- updated to 0.5.6.

Revision 1.76  2000/11/30 22:58:40  wiget
0.5.5

Revision 1.75  2000/10/25 04:22:17  kloczek
- release 2, Epoch 1 (for allow upgrade from RH 7).

Revision 1.74  2000/10/15 22:11:25  kloczek
- updated to 0.5.4.

Revision 1.73  2000/09/27 14:28:54  kloczek
- release 2: use new rpm automation.

Revision 1.72  2000/07/26 21:20:57  kloczek
- updated to 0.5.3.

Revision 1.71  2000/07/04 02:53:27  kloczek
- updated to 0.5.2,
- put in default orbitrc: ORBIIOPUSock=1, ORBIIOPIPv4=0, ORBIIOPIPv6=0.

Revision 1.70  2000/06/25 17:59:28  kloczek
- fix popt-devel version required during build.

Revision 1.69  2000/06/20 12:19:06  cieciwa
- removed BuildRequires:   popt-static,
- added version to BuildRequires: popt-devel [now >= 1.4.3]

Revision 1.68  2000/06/19 15:58:17  cieciwa
- added BuildRequires: popt-static.
	popt-devel AND popt-static is required to build ORBit.

Revision 1.67  2000/06/18 23:10:07  kloczek
- release 4.

Revision 1.66  2000/06/09 07:54:39  kloczek
- more %%{__make} macros.

Revision 1.65  2000/06/09 07:22:45  kloczek
- added using %%{__make} macro.

Revision 1.64  2000/05/24 16:50:46  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.63  2000/05/17 00:36:13  kloczek
- spec adapterized.

Revision 1.62  2000/05/01 20:11:39  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.61  2000/04/04 06:23:05  kloczek
- release 3,
- orbit-idl moved to devel,
- added Requires: indent for devel (orbit-idl run indent for formating C
  source),
- added using %%{_aclocaldir} macro,
- spec adapterized.

Revision 1.60  2000/04/01 11:14:21  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.59  2000/03/28 16:54:14  baggins
- translated kloczkish into english

Revision 1.58  2000/03/01 18:12:53  misiek
- ipv6 tiny patch

Revision 1.57  2000/03/01 15:26:35  misiek
- enable IPv6

Revision 1.56  2000/03/01 07:41:13  kloczek
- release 2,
- added to system orbitrc ORBIIOPIPv4=0 for disable by default using TCP on
  IIOP requests (use only unix sockets) - if anyone can use this must add
  ORBIIOPIPv4=1 in private ~/.orbitrc,
- added use_system_popt patch for building ORBit agains shared system
  libpopt.

Revision 1.55  2000/02/28 08:13:16  kloczek
- removed "BuildRequires: gettext-devel" (ORBit is not i18n depend).

Revision 1.54  2000/02/26 15:45:19  mkochano
- More 'BuildRequires'.

Revision 1.53  2000/02/22 18:13:56  kloczek
- updated to 0.5.1.

Revision 1.52  1999/12/07 10:27:35  kloczek
- updated Source url (base now is ftp://ftp.gnome.org/pub/GNOME/sources/).

Revision 1.51  1999/10/29 17:19:21  kloczek
- fr translation fron freshmeat packages.

Revision 1.50  1999/09/28 23:29:31  kloczek
- updated to 0.5.0.

Revision 1.49  1999/09/22 15:48:10  kloczek
- updated to 0.4.95.

Revision 1.48  1999/09/15 20:24:38  kloczek
- release 3,
- new {un}registering procedure for info pages with using
  /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries
  format.

Revision 1.47  1999/09/01 05:33:51  kloczek
- updated to 0.4.94.

Revision 1.46  1999/08/21 13:25:56  kloczek
- updated to 0.4.93,
- changed permission to 755 on %%{_libdir}/*.sh.

Revision 1.45  1999/07/23 01:07:19  kloczek
- BuildRequire: libwrap-devel (now we have shared libwrap).

Revision 1.44  1999/07/20 12:48:05  wiget
- switch to rpm 3.0.2

Revision 1.43  1999/07/12 23:06:12  kloczek
- added using CVS keywords in %changelog (for automating them).

* Wed Jun 30 1999 Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>
  [0.4.90-1]
- added lib*.la, *.sh and aclocal m4 macros files to devel,
- liborbit-c-backend.a added to static,
- added using %%configure macro in %build
- added global (empty) orbitrc %config file,
- added to BuildPrereq flex, libwrap and indent,
- more %doc.

* Fri May 21 1999 Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>
  [0.4.3-3]
- spec based on version included in dist tar,
- rewrited in PLD coding style,
- pl translation Arkadiusz Miśkiewicz <misiek@misiek.eu.org>.
